moSetGetDemandSales = {};

function moSetGetDemandSales:setDemandSalesUpdate(self, greatDemand, discount)
	local demandSales = g_currentMission.economyManager;
	if demandSales ~= nil then		
		if greatDemand then
			local allDemands = demandSales.numberOfConcurrentDemands;
			if allDemands ~= nil and allDemands > 0 then
				moDemand = {};
				moDemand.allDemands = allDemands;
				moDemand.isRunning = 0;
				for a=1, allDemands do
					if demandSales.greatDemands[a] ~= nil and demandSales.greatDemands[a].isRunning ~= nil and demandSales.greatDemands[a].stationName ~= nil then
						moDemand[a] = {};
						moDemand[a].isRunning = demandSales.greatDemands[a].isRunning;
						if moDemand[a].isRunning then moDemand.isRunning = moDemand.isRunning+1;end;
						--moDemand[a].title = demandSales.greatDemands[a].news.title;
						moDemand[a].demandMultiplier = demandSales.greatDemands[a].demandMultiplier;
						moDemand[a].fillTypeName = moFillTypes[demandSales.greatDemands[a].fillTypeIndex].fruitName
						moDemand[a].startDay = demandSales.greatDemands[a].demandStart.day;
						moDemand[a].startHour = demandSales.greatDemands[a].demandStart.hour;
						moDemand[a].demandDuration = demandSales.greatDemands[a].demandDuration;
						if moStationes[demandSales.greatDemands[a].stationName] ~= nil and moStationes[demandSales.greatDemands[a].stationName].stationName ~= nil then
							moDemand[a].stationName = moStationes[demandSales.greatDemands[a].stationName].stationName;
						else
							moDemand[a].stationName = "unknow";
						end;
						moDemand[a].isValid = demandSales.greatDemands[a].isValid;
					end;
				end;			
			end;
		end;
		if discount then
			local allSales = demandSales.numberOfConcurrentSales;
			if allSales ~= nil and allSales > 0 then
				moSales = {};
				moSales.isRunning = 0;
				moSales.allSales = allSales;
				for a=1, allSales do
					if demandSales.vehicleShopSales[a] ~= nil and demandSales.vehicleShopSales[a].isRunning ~= nil then
						moSales[a] = {};
						moSales[a].isRunning = demandSales.vehicleShopSales[a].isRunning;
						if moSales[a].isRunning then moSales.isRunning = moSales.isRunning+1;end;
						--moSales[a].title = demandSales.greatSales[a].news.title;				
						moSales[a].storeItemIndex = demandSales.vehicleShopSales[a].storeItemIndex;
						local categoryName = StoreItemsUtil.storeItems[moSales[a].storeItemIndex]; --tostring(categoryName.brand) ,category, xmlFilename, name, brand, price
						if categoryName ~= nil then
							moSales[a].brandName = categoryName.brand;
							moSales[a].brandCategory = StoreItemsUtil.storeCategories[categoryName.category].title;
							moSales[a].brandTypeName = categoryName.name;
							moSales[a].oldPrice = categoryName.price;
							moSales[a].discount = demandSales.vehicleShopSales[a].discount;	
							moSales[a].newPrice = moSales[a].oldPrice-(moSales[a].oldPrice/100)*moSales[a].discount;
						else
							moSales[a].brandName = "unknow";
							moSales[a].brandCategory = "unknow";
							moSales[a].brandTypeName = "unknow";
							moSales[a].oldPrice = 0;				
							moSales[a].newPrice = 0;
							moSales[a].discount = 0;	
						end;									
						moSales[a].startDay = demandSales.vehicleShopSales[a].saleStart.day;
						moSales[a].startHour = demandSales.vehicleShopSales[a].saleStart.hour;
						moSales[a].saleDuration = demandSales.vehicleShopSales[a].saleDuration;				
						moSales[a].isValid = demandSales.vehicleShopSales[a].isValid;
					end;
				end;			
			end;
			if demandSales.brandSale ~= nil then
				if demandSales.brandSale.isRunning ~= nil and demandSales.brandSale.storeItemIndex ~= nil then
					moBrandSales = {};
					moBrandSales.isRunning = demandSales.brandSale.isRunning;			
					moBrandSales.storeItemIndex = demandSales.brandSale.storeItemIndex;
					local categoryName = StoreItemsUtil.storeItems[moBrandSales.storeItemIndex];
					if categoryName ~= nil then						
						moBrandSales.brandName = categoryName.brand;
						moBrandSales.brandTypeName = categoryName.name;
						moBrandSales.brandCategory = StoreItemsUtil.storeCategories[categoryName.category].title;
						moBrandSales.oldPrice = categoryName.price-(categoryName.price/100)*20;	
						moBrandSales.discount = demandSales.brandSale.discount;	
						moBrandSales.newPrice = moBrandSales.oldPrice+(moBrandSales.oldPrice/100)*moBrandSales.discount;
					else
						moBrandSales.brandName = "unknow";
						moBrandSales.brandTypeName = "unknow";
						moBrandSales.brandCategory = "unknow";
						moBrandSales.oldPrice = 0;				
						moBrandSales.newPrice = 0;
						moBrandSales.discount = 0;	
					end;							
					moBrandSales.startDay = demandSales.brandSale.saleStart.day;
					moBrandSales.startHour = demandSales.brandSale.saleStart.hour;
					moBrandSales.saleDuration = demandSales.brandSale.saleDuration;				
					moBrandSales.isValid = demandSales.brandSale.isValid;
				end;			
			end;
		end;
	end;
	local missionsManager = g_currentMission.ingameMissionManager;
	if missionsManager ~= nil then
		--print("missions manger true....")		
	else
		--print("missions manger nil.....")
	end;
end;

--g_currentMission.hectaresSeeded --completedMowingMissions, threshingDuration, fuelUsage, completedTransportMissions, hectaresWorked, hectaresThreshed, --table-- missionInfo, mapNameText